﻿'Use this to validate textboxes on a form
'Be sure to add a reference to the forms namespace
Option Explicit On
Imports System.Windows.Forms


Public Class ControlValidation


    Public Function IsPresent(ByRef myTextBox As TextBox, ByVal controlLabel As String) As Boolean

        If myTextBox.Text = String.Empty Then
            MessageBox.Show(controlLabel & " is a required field.", "Missing Data", MessageBoxButtons.OK, MessageBoxIcon.Error)
            myTextBox.Select()
            Return False
        Else
            Return True
        End If
    End Function

    Public Function IsInteger(ByRef myTextBox As TextBox, ByVal controlLabel As String) As Boolean

        Dim x As Integer = 0

        If Not Integer.TryParse(myTextBox.Text, x) Then
            MessageBox.Show(controlLabel & " must be an integer.", "Wrong Data", MessageBoxButtons.OK, MessageBoxIcon.Error)
            myTextBox.Select()
            Return False
        Else
            Return True
        End If
    End Function

End Class
